FROM mediawiki:latest AS base
ENV DEBIAN_FRONTEND="noninteractive"

COPY ./config.json /tmp/config.json
COPY ./build /tmp

RUN find /tmp/mediawiki_extensions -name "*.tar.gz" -exec sh -c 'tar -xzf {} -C /var/www/html/extensions' \; \
    && find /tmp/mediawiki_skins -name "*.tar.gz" -exec sh -c 'tar -xzf {} -C /var/www/html/skins' \; \
    && find /tmp/mediawiki_override -type f -exec php /tmp/scripts/config_placeholder_replace.php "/tmp/config.json" "{}" \; \
    && mv /tmp/mediawiki_override/* /var/www/html \
    && rm -R /tmp/*